Subject: Ticket Assigned - need escalation
From: Splash <[email-masked]>
To: [email-masked]
Date: Sat, 03 Jul 2021 04:53:32 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  need escalation sahal                    Bot:  Hi again! Bot:  Please enter your name Customer:  sahal Bot:  Hi Sahal ,what do you need help with? Customer:  Order Status Bot:  Please choose your location Customer:  United Arab Emirates Bot:  Please enter your order number to continue Customer:  9658375070 Bot:    Your order status is  : Delivered   If you have not received your order, Home Delivery takes 5 to 8 days.   You can easily track your order from My Account > Order History.  Please note, during sale periods, your order may take longer to arrive.  Bot:  Was I able to resolve your query? Customer:  No Bot:  Would you like to still talk to one of our agent? Customer:  Yes            12:15 PM, 30th Jun                   badri                   Hi,  Sahal Thank you for contacting us. My name is badri , I will be happy to assist you.           12:16 PM, 30th Jun                     sahal                    Hi           12:16 PM, 30th Jun                     sahal                    Order number - 9670586515           12:17 PM, 30th Jun                     sahal                    It’s been more than 2 weeks           12:17 PM, 30th Jun                     sahal                    Where’s my order?           12:17 PM, 30th Jun                     sahal                    Why is there a huge delay?           12:17 PM, 30th Jun                     sahal                    I have been shopping from Splash for years           12:17 PM, 30th Jun                     sahal                    Why do you treat your customers like this?           12:18 PM, 30th Jun                     sahal                    Will I ever get this order?           12:18 PM, 30th Jun                     sahal                    Hello?           12:20 PM, 30th Jun                   badri                   Thank you for waiting for us! We do apologize about the wait time. We are available to assist you.           12:21 PM, 30th Jun                   badri                   Please be assured as we have now escalated this issue to our concerned team and they are closely working on this to fix it for you.             12:22 PM, 30th Jun                   badri                   Is there anything else I can assist you with today?           12:22 PM, 30th Jun                     sahal                    This was the same reply I got 3 days back           12:23 PM, 30th Jun                     sahal                    No just assist me with this order           12:23 PM, 30th Jun                     sahal                    More than enough           12:23 PM, 30th Jun                     sahal                    Sorry I had to speak to you this way           12:23 PM, 30th Jun                     sahal                    But 3 weeks delay is not normal           12:24 PM, 30th Jun                     sahal                    I could have bought something else with that money           12:24 PM, 30th Jun                     sahal                    No tshirt and no money           12:24 PM, 30th Jun                     sahal                    Well done           12:24 PM, 30th Jun                   badri                   As promised, Sahal  Will be updating you within  48 hours on Your email ID           12:26 PM, 30th Jun                   badri                   Is there anything else I can assist you with today?           12:26 PM, 30th Jun                     sahal                    Okay           12:26 PM, 30th Jun                     sahal                    Nothing else           12:26 PM, 30th Jun                     sahal                    Thank you           12:26 PM, 30th Jun                   badri                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           12:28 PM, 30th Jun                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2791558